Package org.eclipse.equinox.http.registry.internal

# Class HttpRegistryManager

java.lang.Object
org.eclipse.equinox.http.registry.internal.HttpRegistryManager

public class HttpRegistryManager extends Object

## Constructor Summary

Constructors
Constructor
Description
`HttpRegistryManager(ServiceReference<?> reference, HttpService httpService, PackageAdmin packageAdmin, IExtensionRegistry registry)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addFilterContribution(String alias, javax.servlet.Filter filter, Dictionary<?,?> initparams, String httpContextId, IContributor contributor)`
`boolean`
`addHttpContextContribution(String httpContextId, HttpContext context, IContributor contributor)`
`boolean`
`addResourcesContribution(String alias, String baseName, String httpContextId, IContributor contributor)`
`boolean`
`addServletContribution(String alias, javax.servlet.Servlet servlet, Dictionary<?,?> initparams, String httpContextId, IContributor contributor)`
`DefaultRegistryHttpContext`
`createDefaultRegistryHttpContext()`
`Bundle`
`getBundle(String symbolicName)`
`Bundle`
`getBundle(IContributor contributor)`
`HttpContext`
`getHttpContext(String httpContextId, Bundle bundle)`
`void`
`removeContribution(String alias)`
`void`
`removeFilterContribution(javax.servlet.Filter filter)`
`void`
`removeHttpContextContribution(String httpContextId)`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpRegistryManager

public HttpRegistryManager(ServiceReference<?> reference, HttpService httpService, PackageAdmin packageAdmin, IExtensionRegistry registry)

## Method Details

### start

public void start()

### stop

public void stop()

### addResourcesContribution

public boolean addResourcesContribution(String alias, String baseName, String httpContextId, IContributor contributor)

### addServletContribution

public boolean addServletContribution(String alias, javax.servlet.Servlet servlet, Dictionary<?,?> initparams, String httpContextId, IContributor contributor)

### removeContribution

public void removeContribution(String alias)

### addFilterContribution

public boolean addFilterContribution(String alias, javax.servlet.Filter filter, Dictionary<?,?> initparams, String httpContextId, IContributor contributor)

### removeFilterContribution

public void removeFilterContribution(javax.servlet.Filter filter)

### getHttpContext

public HttpContext getHttpContext(String httpContextId, Bundle bundle)

### addHttpContextContribution

public boolean addHttpContextContribution(String httpContextId, HttpContext context, IContributor contributor)

### removeHttpContextContribution

public void removeHttpContextContribution(String httpContextId)

### createDefaultRegistryHttpContext

public DefaultRegistryHttpContext createDefaultRegistryHttpContext()

### getBundle

public Bundle getBundle(IContributor contributor)

### getBundle

public Bundle getBundle(String symbolicName)